// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services','ngCordova','admobModule'])

.run(function($ionicPlatform,admobSvc,$rootScope) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
	if (window.cordova && window.cordova.InAppBrowser) {
        window.open = window.cordova.InAppBrowser.open;
      }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
	 var currentPlatform = ionic.Platform.platform();
	 localStorage['platform'] = currentPlatform;
	admobSvc.createBannerView({publisherId: "ca-app-pub-1739395763356340/9732368465"});
	admobSvc.requestInterstitialAd({publisherId: "ca-app-pub-1739395763356340/9732368465", interstitialAdId: "ca-app-pub-1739395763356340/8255635265"});
    $rootScope.$on(admobSvc.events.onAdOpened, function onAdOpened(evt, e) {
        console.log('adOpened: type of ad:' + e.adType);
      });
  });
})

.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider,$httpProvider,$sceDelegateProvider,$cordovaInAppBrowserProvider,admobSvcProvider) {
	$ionicConfigProvider.platform.ios.tabs.style('standard'); 
    $ionicConfigProvider.platform.ios.tabs.position('bottom');
    $ionicConfigProvider.platform.android.tabs.style('standard');
    $ionicConfigProvider.platform.android.tabs.position('bottom');

    $ionicConfigProvider.platform.ios.navBar.alignTitle('center'); 
    $ionicConfigProvider.platform.android.navBar.alignTitle('center');
	     
    $ionicConfigProvider.platform.ios.views.transition('ios'); 
    $ionicConfigProvider.platform.android.views.transition('android');
	$ionicConfigProvider.backButton.text("");
	$ionicConfigProvider.backButton.previousTitleText(false);
	
	admobSvcProvider.setOptions({
        publisherId:          "ca-app-pub-1739395763356340/9732368465",  // Required
      });

    // Optionally configure the events prefix (by default set to 'admob:')
    admobSvcProvider.setPrefix('admob~');
	
	 $httpProvider.defaults.transformRequest = function(obj){
     var str = [];
     for(var p in obj){
       str.push(encodeURIComponent(p) + "=" + encodeURIComponent(obj[p]));
     }
     return str.join("&");
   }

   $httpProvider.defaults.headers.post = {
        'Content-Type': 'application/x-www-form-urlencoded'
   }
    $sceDelegateProvider.resourceUrlWhitelist([
       // Allow same origin resource loads.
       'self',
	   'http://www.saywx.com/**'
	   ]);
  $stateProvider
  // setup an abstract state for the tabs directive
    .state('tab', {
    url: '/tab',
	cache:false,
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

  // Each tab has its own nav history stack:
  // 分类栏目
  .state('dash', {
    url: '/dash',
	cache:false,
    templateUrl: 'templates/tab-dash.html',
    controller: 'DashCtrl'
  })

.state('chats', {
    url: '/chats?cat',
	cache:false,
    templateUrl: 'templates/tab-chats.html',
    controller: 'ChatsCtrl'
    })
.state('chat-detail', {
    url: '/chatdetail?chatId',
	 cache:false,
     templateUrl: 'templates/chat-detail.html',
     controller: 'ChatDetailCtrl'
    })
  
  .state('tab.account', {
    url: '/account',
	cache:false,
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-account.html',
        controller: 'AccountCtrl'
      }
    }
  })
  .state('website', {
      url: '/website?siteId',
	  cache:false,
	  templateUrl: 'templates/website.html',
      controller: 'websiteCtl'
    })
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/dash');
});